Skip to main content
GET
Get one specific product
Learn more:
  • What is a product? ↗

Path Parameters

consumer_id
string<uuid>
required
product_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

Example:

"<this-id>"

source_ref
Ref · object
required

Technical id in the target software

name
string
required
Example:

"T-Shirt"

description
string | null
Example:

"Classic cotton T-Shirt, available in several sizes."

description_html
string | null
Example:

"<p>Classic cotton T-Shirt, available in several sizes.</p>"

categories
CommerceProductCategoryItem · object[] | null
created_on
string<date-time> | null
Example:

"2026-01-15T10:30:00Z"

last_updated_on
string<date-time> | null
Example:

"2026-01-15T10:30:00Z"

variants
ProductVariantItem · object[] | null
status
enum<string> | null
Available options:
unknown,
archived,
unpublished,
published
sku
string | null
Example:

"TSHIRT"

common_attributes
CommonAttributeItem · object[] | null

List of attributes that are shared by all variants of the product.

variant_attributes_options
VariantAttributeOptionItem · object[] | null
common_images
ImageItem · object[] | null

List of images that are shared by all variants of the product.